For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a payment session

How to update an existing payment session via API

To update an existing payment session, send a PATCH request to the /api/2026-05/payment_sessions/:id endpoint, where id is the ID of the resource that you want to update.

Here below the list of all the possible arguments that you can pass with the request body.

Request

PATCH https://yourdomain.commercelayer.io/api/2026-05/payment_sessions/:id

Arguments

Body Parameter
Type
Required

type

string

Required

id

string

Required

attributes.client_data

object

Optional

attributes._additional_data

boolean

Optional

attributes._refresh

boolean

Optional

attributes.expires_at

string

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

relationships.payment_wallet

object

Optional

Example

The following request updates the payment session identified by the ID "XAyRWNUzyN":

curl -g -X PATCH \
  'https://yourdomain.commercelayer.io/api/2026-05/payment_sessions/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "payment_sessions",
    "id": "xYZkjABcde",
    "attributes": {
      "reference": "ANY-EXTERNAL-REFEFERNCE"
    },
    "relationships": {
      "payment_wallet": {
        "data": {
          "type": "payment_wallets",
          "id": "ABCRtyUpBa"
        }
      }
    }
  }
}'

On success, the API responds with a 200 OK status code, returning the updated resource object:

Last updated